package com.tzld.piaoquan.api.service;

import com.tzld.piaoquan.api.common.enums.SecretEnum;
import com.tzld.piaoquan.api.model.vo.AccessTokenParam;
import com.tzld.piaoquan.api.model.vo.AccessTokenVo;
import com.tzld.piaoquan.common.common.base.CommonResponse;

public interface AccessTokenService {

    String getWeComAccessToken(Long corpId);

    CommonResponse<AccessTokenVo> getAccessToken(AccessTokenParam param);

    boolean validateAccessToken(String accessToken);

    SecretEnum getSecretEnum(String accessToken);

}
